ChiliProject - Feature # 488: Hook for additional formats on Wiki#show page

Status: Closed Priority: Normal
Author: Tom Kersten Category: Plugin API
Created: 2011-06-21 Assignee:

Updated: 2011-06-27 Due date:

Remote issue URL:

Affected version:

Description: I'd like to have a hook defined so plugins can add formats to the bottom of the Wiki#show view template next
to the existing "additional formats” links. A tangible example of how this would be used is for adding a
PDF-export link from the ChiliPDF plugin (or...any other plugin, obviously).

Associated revisions

2011-06-21 05:32 am - Tom Kersten
Added hook for additional wiki formats [refs #488]

* Allows plugins to add to the list of supported export formats at the

bottom of the Wiki#show view template

2011-06-22 10:51 pm - Felix SchAxfer
Merge pull request #78 from tomkersten/488_wiki_show_format_hook

Added view hook for additional wiki formats [refs #488]

History

2011-06-21 03:25 am - Tom Kersten
Patch/pull-request forthcoming....

2011-06-21 03:41 am - Tom Kersten
Added a pull request for this "here":https://github.com/chiliproject/chiliproject/pull/78.

For those interested, you can see the (1-line) diff
"here":https://github.com/tomkersten/chiliproject/commit/ffc1db8a544da46a112a5f64d9b895a903e 16627

Let me know if there is anything else | can provide which would make accepting this more compelling...

2011-06-22 08:57 pm - Felix Schéafer
- Target version set to 2.1.0

- Status changed from Open to Closed

Merged in commit:308852e, thanks.

2011-06-27 10:40 pm - Eric Davis

- Target version changed from 2.1.0 to 1.5.0

This is actually going to go into 1.5.0 since it was added to the master branch.
